# Reladomo

## What is it? 
Reladomo is an object-relational mapping framework with the following enterprise features:

* Strongly typed compile-time checked query language 
* Bi-temporal chaining 
* Transparent multi-schema support 
* Full support for unit-testable code 

## What can I do with it? 
* Model data as objects with meaningful relationships between them 
* Define classes and relationships using simple XML files 
* Traverse, query, fetch, and update graphs of objects in an idiomatic object-oriented way 
* Manage bi-temporal data using built-in methods 
* Define, create, query, and  update data that has both business date and processing date axes 
* Maintain complete and accurate audit history of changes efficiently 
* Answer as-of questions such as what did this object look like at the end of last quarter 
* Build applications as diverse as interactive web-apps to batch-processing 
* Leverage transactions and batch operations to support high-performance throughput 
* Detach objects to allow users to change data off-line 
* Write database vendor-independent code 


## Detailed feature list 
* Strongly typed compile-time checked query language 
* Audit-only, Business time-series only, and Bi-temporal chaining 
* Transparent multi-schema support (partition data across many databases) 
* Object-oriented batch operations 
* Flexible object relationship inflation 
* Detached objects (allow data to be changed independently (a.k.a. delayed edit functionality) of the DB and then pushed (or reset) as and when required)  useful when users are editing data in a GUI form 
* Multi-Threaded matcher Loader (MTLoader) is a high-performance pattern for merging changes from another source (file, feed, other DB, etc.) to your existing DB data. By design it is flexible/customizable and re-runnable 
* Tunable caching by object type  partial, full, full off-heap 
* Available meta-data  enables higher-level programming paradigms 
* Multi-tier operation  obviates the need for direct DB access from client-side apps, enables better connection sharing, with no code changes required 
* Full support for unit-testable code 
* Databases supported include: Sybase (ASE & IQ), DB2, Oracle, Postgres, MS-SQL, H2, Derby, generic  

